> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Transaction Data for changing Daily Limit

> This endpoint is deprecated and will be removed in a future version.
Please use `GET /api/v1/accounts/daily-limit/transaction-data` instead.

Returns the transaction data that needs to be signed by the user's wallet to set a new onchain daily limit.
This endpoint is used as part of a three-step process:
1. Call this endpoint to get the transaction data
2. Sign the transaction data with the user's wallet
3. Submit the signature to the PUT `/api/v1/accounts/onchain-daily-limit` endpoint

**Note:** The onchainDailyLimit must be an integer value between 1 and 8000.




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/accounts/onchain-daily-limit/transaction-data
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/accounts/onchain-daily-limit/transaction-data:
    get:
      tags:
        - Account Management
      summary: Retrieve Transaction Data for changing Daily Limit
      description: >
        This endpoint is deprecated and will be removed in a future version.

        Please use `GET /api/v1/accounts/daily-limit/transaction-data` instead.


        Returns the transaction data that needs to be signed by the user's
        wallet to set a new onchain daily limit.

        This endpoint is used as part of a three-step process:

        1. Call this endpoint to get the transaction data

        2. Sign the transaction data with the user's wallet

        3. Submit the signature to the PUT
        `/api/v1/accounts/onchain-daily-limit` endpoint


        **Note:** The onchainDailyLimit must be an integer value between 1 and
        8000.
      parameters:
        - in: query
          name: onchainDailyLimit
          required: true
          description: The new daily spending limit to set (1-8000, must be an integer).
          schema:
            type: string
            pattern: ^[1-9][0-9]*$
            minimum: 1
            maximum: 8000
          example: '2500'
      responses:
        '200':
          description: Successfully retrieved transaction data for signing.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - transaction
                    properties:
                      transaction:
                        type: object
                        required:
                          - to
                          - value
                          - data
                        properties:
                          to:
                            type: string
                            description: The target contract address for the transaction.
                            example: '0x3270bf32AB647e90eF94A026c70Aa1daaaDA2382'
                          value:
                            type: number
                            description: >-
                              The amount of native tokens to send with the
                              transaction (usually 0).
                            example: 0
                          data:
                            type: string
                            description: >-
                              The encoded transaction data containing the
                              function call.
                            example: >-
                              0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60
        '401':
          description: Unauthorized - invalid or missing authentication token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authentication error message.
                    example: Unauthorized
        '404':
          description: Safe account or token not found for the user.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining why the request failed.
                    example: Couldn't find associated Safe for the user
        '422':
          description: Unprocessable Entity - validation errors in query parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the validation error.
                    example: onchainDailyLimit must be an integer
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the server error.
                    example: An unexpected error occurred.
      deprecated: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````